# Uses of Interface
org.eclipse.core.resources.undo.snapshot.IResourceSnapshot

Packages that use IResourceSnapshot
Package
Description
org.eclipse.core.resources.undo.snapshot
org.eclipse.ui.ide.undo
APIs that provide undo and redo behavior for operations that manipulate the workspace.

## Uses of IResourceSnapshot in org.eclipse.core.resources.undo.snapshot

Subinterfaces of IResourceSnapshot in org.eclipse.core.resources.undo.snapshot
Modifier and Type
Interface
Description
`interface`
`IContainerSnapshot<T extends IContainer>`
IContainerSnapshot is a lightweight description that describes a container to be created.
Methods in org.eclipse.core.resources.undo.snapshot that return IResourceSnapshot
Modifier and Type
Method
Description
`static IResourceSnapshot<IFile>`
ResourceSnapshotFactory.`fromFileDetails(IFile file, URI linkLocation, InputStream contents)`
Create a file snapshot from the specified file handle.
`static <T extends IResource>
IResourceSnapshot<T>`
ResourceSnapshotFactory.`fromResource(T resource)`
Create a resource snapshot given the specified resource.
`IResourceSnapshot<? extends IResource>[]`
IContainerSnapshot.`getMembers()`
Get a list of snapshots of members of this container
Methods in org.eclipse.core.resources.undo.snapshot with parameters of type IResourceSnapshot
Modifier and Type
Method
Description
`void`
IContainerSnapshot.`addMember(IResourceSnapshot<? extends IResource> member)`
Add the specified resource description as a member of this resource description

## Uses of IResourceSnapshot in org.eclipse.ui.ide.undo

Fields in org.eclipse.ui.ide.undo declared as IResourceSnapshot
Modifier and Type
Field
Description
`protected IResourceSnapshot<? extends IResource>[]`
AbstractResourcesOperation.`resourceDescriptions`
`protected IResourceSnapshot<? extends IResource>[]`
AbstractResourcesOperation.`resourceDescriptions`
`protected IResourceSnapshot<? extends IResource>[]`
AbstractResourcesOperation.`resourceDescriptions`
`protected IResourceSnapshot<? extends IResource>[]`
AbstractResourcesOperation.`resourceDescriptions`
`protected IResourceSnapshot<? extends IResource>[]`
AbstractResourcesOperation.`resourceDescriptions`
`protected IResourceSnapshot<? extends IResource>[]`
AbstractResourcesOperation.`resourceDescriptions`
`protected IResourceSnapshot<? extends IResource>[]`
AbstractResourcesOperation.`resourceDescriptions`
`protected IResourceSnapshot<? extends IResource>[]`
AbstractResourcesOperation.`resourceDescriptions`